curl https://api.dotlookup.dev/v1/carriers/2233855/insurance
{
"dot_number": "2233855",
"legal_name": "ACME TRUCKING LLC",
"policies": [
{
"policy_type": "BIPD",
"insurer_name": "NATIONAL INTERSTATE INS CO",
"policy_number": "BCA-12345",
"coverage_amount": 1000000,
"effective_date": "2024-01-15T00:00:00Z",
"expiration_date": "2025-01-15T00:00:00Z",
"form_code": "BMC91X"
}
]
}
Carriers
Get Carrier Insurance
Active insurance policies with coverage details
GET
/
v1
/
carriers
/
{dot_number}
/
insurance
curl https://api.dotlookup.dev/v1/carriers/2233855/insurance
{
"dot_number": "2233855",
"legal_name": "ACME TRUCKING LLC",
"policies": [
{
"policy_type": "BIPD",
"insurer_name": "NATIONAL INTERSTATE INS CO",
"policy_number": "BCA-12345",
"coverage_amount": 1000000,
"effective_date": "2024-01-15T00:00:00Z",
"expiration_date": "2025-01-15T00:00:00Z",
"form_code": "BMC91X"
}
]
}
Returns active insurance policies with coverage details.
The carrier’s USDOT number
curl https://api.dotlookup.dev/v1/carriers/2233855/insurance
{
"dot_number": "2233855",
"legal_name": "ACME TRUCKING LLC",
"policies": [
{
"policy_type": "BIPD",
"insurer_name": "NATIONAL INTERSTATE INS CO",
"policy_number": "BCA-12345",
"coverage_amount": 1000000,
"effective_date": "2024-01-15T00:00:00Z",
"expiration_date": "2025-01-15T00:00:00Z",
"form_code": "BMC91X"
}
]
}
⌘I